using MonoGame.FourEngine;
using System.Collections.Generic;

namespace LeMangeurDEnfants.Core.Scenes
{
    public class OutroScene : CodecScene
    {
        protected override string BackgroundFile { get; } = Resources.Sprites.Codec2;

        protected override IEnumerable<string> GetDialog()
        {
            yield return 
@"???: Tell me about VR training
results, Colonel.";
            yield return 
@"Colonel: Outstanding, Major.

He still got no CQC skills but in
five years we expect him to be
even stronger as the original.";
            yield return
@"???: Good. Keep me posted.";
        }

        protected override void OnDialogEnd()
        {
            (DrawingSurface as DrawingSurface)?.NavigateTo<StartScene>();
        }
    }
}